Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S > Class Template Reference

Template class for INOUT (w)char/boolean/octet skeleton argument. More...

`#include <Special_Basic_SArgument_T.h>`

Inheritance diagram for TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >:

[legend]
Collaboration diagram for TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >:

[legend]
List of all members.

## Public Methods
| Inout_Special_Basic_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S & | arg (void)
## Private Attributes
S | x_

## Detailed Description

### template<typename S, typename to_S, typename from_S>
class TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >

Template class for INOUT (w)char/boolean/octet skeleton argument.

## Constructor & Destructor Documentation

template<typename S, typename to_S, typename from_S>
ACE_INLINE TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >::Inout_Special_Basic_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename to_S, typename from_S>
ACE_INLINE S & TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >::arg | ( | void |  | ) |

template<typename S, typename to_S, typename from_S>
CORBA::Boolean TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename to_S, typename from_S>
void TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename to_S, typename from_S>
CORBA::Boolean TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename to_S, typename from_S>
S TAO::Inout_Special_Basic_SArgument_T< S, to_S, from_S >::x_`[private]`

The documentation for this class was generated from the following files:

- Special_Basic_SArgument_T.h
- Special_Basic_SArgument_T.cpp
- Special_Basic_SArgument_T.inl